%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

# This variable is defined to help with the transition from version 2014.1.rc1
# to 2014.1. With the package version set to 2014.1, the Obsoletes directive
# will produce self-obsoletion warnings related to 2014.1 < 2014.1.rc1 for some
# tools. This can be seen by running `$ rpmdev-vercmp 2014.1 2014.1.rc1`.
# TODO mimccune remove this variable once the upstream version has moved past
# 2014.1
%global tmp_upstream_version 2014.1

Name:          python-django-sahara
Version:       2014.1.0
Release:       3%{?dist}
Provides:      python-django-savanna = %{version}-%{release}
Obsoletes:     python-django-savanna <= 2014.1.b3-3
Summary:       Sahara project dashboard
License:       ASL 2.0
URL:           https://launchpad.net/sahara
Source0:       http://tarballs.openstack.org/sahara-dashboard/sahara-dashboard-%{tmp_upstream_version}.tar.gz
Patch0001:     0001-remove-runtime-dep-on-python-pbr.patch
BuildArch:     noarch

BuildRequires: python-pbr
BuildRequires: python2-devel
BuildRequires: python-setuptools

Requires: python-django-horizon
Requires: python-saharaclient >= 0.7.0



%description
Sahara plugin for the OpenStack Dashboard.


%prep
%setup -q -n sahara-dashboard-%{tmp_upstream_version}

%patch0001 -p0

sed -i s/REDHAT_SAHARADASHBOARD_VERSION/%{version}/ saharadashboard/version.py
sed -i s/REDHAT_SAHARADASHBOARD_RELEASE/%{release}/ saharadashboard/version.py

rm -rf sahara_dashboard.egg-info
rm -rf saharadashboard/tests


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
# Copy the html templates
cp -rp saharadashboard/templates %{buildroot}%{python_sitelib}/saharadashboard

%check
# There are unittests for this package but they rely on the dashboard to be
# running.

%files
%doc LICENSE ChangeLog README.rst
%{python_sitelib}/saharadashboard
%{python_sitelib}/sahara_dashboard-%{tmp_upstream_version}-py?.?.egg-info


%changelog
* Mon May 05 2014 Michael McCune <mimccune@redhat> - 2014.1.0-4
- Changing version/release temp variable from patch

* Mon May 05 2014 Michael McCune <mimccune@redhat> - 2014.1.0-3
- Adding patch to remove runtime pbr dep

* Fri May 02 2014 Michael McCune <mimccune@redhat> - 2014.1.0-2
- Copying html templates to final output
- Removing tests from final output

* Tue Apr 22 2014 Michael McCune <mimccune@redhat> - 2014.1.0-1
- 2014.1 release

* Mon Apr 21 2014 Michael McCune <mimccune@redhat> - 2014.1.rc1-2
- Adding backward compatibility for __python2 macro

* Mon Apr 07 2014 Michael McCune <mimccune@redhat> - 2014.1.rc1-1
- 2014.1.rc1 release and rename from python-django-savanna

* Fri Mar 14 2014 Matthew Farrellee <matt@redhat> - 2014.1.b3-2
- Update savannaclient dependency version

* Fri Mar 14 2014 Matthew Farrellee <matt@redhat> - 2014.1.b3-1
- 2014.1.b3 release

* Mon Jan 27 2014 Matthew Farrellee <matt@redhat> - 2014.1.b2-1
- 2014.1.b2 release

* Sat Jan 18 2014 Matthew Farrellee <matt@redhat> - 2014.1.b1-1
- 2014.1.b1 release

* Sun Oct 20 2013 Matthew Farrellee <matt@redhat> - 0.3-1
- 0.3 release

* Fri Oct 11 2013 Matthew Farrellee <matt@redhat> - 0.3-0.2
- 0.3 rc3 build

* Sun Aug 25 2013 Matthew Farrellee <matt@redhat> - 0.2-2
- Include template files

* Mon Jul 15 2013 Matthew Farrellee <matt@redhat> - 0.2-1
- Initial package
